Package ru.bitel.bgbilling.kernel.contract.balance.server.event

# Class ConvergenceBalanceEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.kernel.contract.balance.server.event.ConvergenceBalanceEvent

All Implemented Interfaces:
  `java.io.Serializable`, `ErrorReturnableEvent`

    public class ConvergenceBalanceEvent
    extends ru.bitel.bgbilling.kernel.event.common.LocalEvent

Событие, о том, что баланс стал выше лимит или ниже лимита. Может посылаться несколько раз, но гораздо реже чем просто сообщения об изменении наработки. Создан для агрегирования сообщений об изменении наработки.

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected java.math.BigDecimal` | `balance` |
  `protected boolean` | `balanceExceedsLimit` |
  `protected java.math.BigDecimal` | `limit` |
  `protected boolean` | `saldoExceedsZero` |

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `ConvergenceBalanceEvent()` |
  `` | `ConvergenceBalanceEvent​(int contractId, boolean balanceExceedsLimit, boolean saldoExceedsZero, java.math.BigDecimal balance, java.math.BigDecimal limit)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.math.BigDecimal` | `getBalance()` |
  `java.math.BigDecimal` | `getLimit()` |
  `boolean` | `isBalanceExceedsLimit()` |
  `boolean` | `isBalanceUnderLimit()` | Deprecated.
  `boolean` | `isSaldoExceedsZero()` |

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### balanceExceedsLimit

    protected final boolean balanceExceedsLimit

  - ### saldoExceedsZero

    protected final boolean saldoExceedsZero

  - ### balance

    protected final java.math.BigDecimal balance

  - ### limit

    protected final java.math.BigDecimal limit

- ## Constructor Details

  - ### ConvergenceBalanceEvent

    protected ConvergenceBalanceEvent()

  - ### ConvergenceBalanceEvent

    public ConvergenceBalanceEvent​(int contractId, boolean balanceExceedsLimit, boolean saldoExceedsZero, java.math.BigDecimal balance, java.math.BigDecimal limit)

- ## Method Details

  - ### isBalanceUnderLimit

    @Deprecated public boolean isBalanceUnderLimit()
    Deprecated.

  - ### getBalance

    public java.math.BigDecimal getBalance()

  - ### getLimit

    public java.math.BigDecimal getLimit()

  - ### isBalanceExceedsLimit

    public boolean isBalanceExceedsLimit()

  - ### isSaldoExceedsZero

    public boolean isSaldoExceedsZero()